Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	C library for parsing command line parameters
Name:		popt
Version:	1.12
Release:	5
License:	MIT
Group:		System/Libraries
URL:		http://www.rpm5.org/
Source:		http://www.rpm5.org/files/%{name}/%{name}-%{version}.tar.gz
Patch0:		popt-1.12-20070815cvs.patch
BuildRequires:	gettext, doxygen, graphviz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but
it improves on them by allowing more powerful argument expansion.
Popt can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%package devel
Summary:	Development files for the popt library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The popt-devel package includes header files and libraries necessary
for developing programs which use the popt C library. It contains the
API documentation of the popt library, too.

%package static
Summary:	Static library for parsing command line parameters
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
The popt-static package includes static libraries of the popt library.
Install it if you need to link statically with libpopt.

%prep
%setup -q
%patch0 -p1 -b .20070815cvs

%build
%configure --libdir=/%{_lib}
make %{?_smp_mflags}
doxygen

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Move libpopt.{so,a} to %{_libdir}
#rm -f $RPM_BUILD_ROOT/%{_lib}/libpopt.so
pushd $RPM_BUILD_ROOT/%{_lib}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
ln -sf ../../%{_lib}/$(ls libpopt.so.?.?.?) $RPM_BUILD_ROOT%{_libdir}/libpopt.so
popd
#mv -f $RPM_BUILD_ROOT/%{_lib}/libpopt.a $RPM_BUILD_ROOT%{_libdir}/libpopt.a
#mv -f $RPM_BUILD_ROOT/%{_lib}/libpopt.la $RPM_BUILD_ROOT%{_libdir}/libpopt.la
ln -sf /lib/libpopt.la $RPM_BUILD_ROOT%{_libdir}/libpopt.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES COPYING
/%{_lib}/libpopt.so.*

%files devel
%defattr(-,root,root)
%doc README doxygen/html
%{_libdir}/libpopt.so
%{_includedir}/popt.h
%{_mandir}/man3/popt.3*
%_libdir/libpopt.la
/lib/libpopt.la
/lib/libpopt.so

%files static
%defattr(-,root,root)
/lib/libpopt.a

%changelog
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 1.12-5
- and again
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 1.12-4
- la symlink, so symlink in /lib
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 1.12-3
- .la belongs in /usr/lib
* Fri Nov 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.12-2
- moved libpopt.la and libpopt.a back to /lib
* Fri Nov 23 2007 Christian Metzen <metzench@ccux-linux.de> 1.12-1
- Seperated package from rpm
